RagTime5Pipeline Class Reference documentation

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Pipeline Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Pipeline.hxx>`

## Public Member Functions
| RagTime5Pipeline (RagTime5Document &doc)
| constructor More...
virtual | ~RagTime5Pipeline ()
| destructor More...
int | version () const
| returns the file version More...

## Static Public Member Functions
static std::string | printType (unsigned long fileType)
| debug: print a file type More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
std::shared_ptr< RagTime5ClusterManager::Cluster > | readPipelineCluster (RagTime5Zone &zone, int zoneType)
| try to read a pipeline cluster More...
RagTime5ClusterManager::Cluster::Type | getContainerType (int pipelineId) const
| try to return the container's type corresponding to an id More...
bool | send (int pipelineId, MWAWListenerPtr listener, MWAWPosition const &pos, int partId=0, double totalWidth=-1)
| try to send the container corresponding to pipelineId (mainly unimplemented) More...

## Protected Attributes
RagTime5Document & | m_document
| the parser More...
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< RagTime5PipelineInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Pipeline (RagTime5Pipeline const &orig)=delete
RagTime5Pipeline & | operator= (RagTime5Pipeline const &orig)=delete

## Friends
class | RagTime5Document

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Pipeline() [1/2]

RagTime5Pipeline::RagTime5Pipeline | ( | RagTime5Document & | doc | ) |
| explicit

constructor

## ◆ ~RagTime5Pipeline()

RagTime5Pipeline::~RagTime5Pipeline | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Pipeline() [2/2]

RagTime5Pipeline::RagTime5Pipeline | ( | RagTime5Pipeline const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Pipeline::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ getContainerType()

RagTime5ClusterManager::Cluster::Type RagTime5Pipeline::getContainerType | ( | int | pipelineId | ) | const
| protected

try to return the container's type corresponding to an id

## ◆ operator=()

RagTime5Pipeline& RagTime5Pipeline::operator= | ( | RagTime5Pipeline const & | orig | ) |
| privatedelete

## ◆ printType()

static std::string RagTime5Pipeline::printType | ( | unsigned long | fileType | ) |
| inlinestatic

debug: print a file type

## ◆ readPipelineCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Pipeline::readPipelineCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a pipeline cluster

## ◆ send()

bool RagTime5Pipeline::send | ( | int | pipelineId,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos,
|  | int | partId = `0`,
|  | double | totalWidth = `-1`
| ) |  |
| protected

try to send the container corresponding to pipelineId (mainly unimplemented)

## ◆ version()

int RagTime5Pipeline::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ RagTime5Document

friend class RagTime5Document
| friend

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5Pipeline::m_document
| protected

the parser

Referenced by getContainerType(), readPipelineCluster(), and send().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Pipeline::m_parserState
| protected

the parser state

Referenced by version().

## ◆ m_state

std::shared_ptr<RagTime5PipelineInternal::State> RagTime5Pipeline::m_state
| protected

the state

Referenced by getContainerType(), readPipelineCluster(), and send().

## ◆ m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Pipeline::m_structManager
| protected

the structure manager

The documentation for this class was generated from the following files:

- RagTime5Pipeline.hxx
- RagTime5Pipeline.cxx